PGZF(1)

NAME
pgzf - Parallel gzip file IO

SYNOPSIS
pgzf [options] file1 [file2 ...]

DESCRIPTION
PGZF: Parallel gzip file IO Author: Jue Ruan <ruanjue@gmail.com> Version: 1.1

OPTIONS

-d  Decompress mode

-t <int>
    Number of threads, [8]

-f  Force to overwrite

-o <string> Output file name, support directory

-x  Delete input files after done

-b <int>
    Block size in MB, 1 ~ 256 [16]

-l <int>
    Compress level, 1-9, see gzip, [6]

-h  Show this document

-V  Print version information and exit

  File format:

    PGZF fellows standard GZIP format (rfc1952), and is blocked compressed. It defines two TAGs in each GZIP header, ZS: block size, ZX: random access index. Program pgzf can decompress .pgzf and .gz files. When decompressing .gz files, pgzf is in fact a buffered gzip reader. Also, .pgzf files can be decompressed by program gzip.

In plan to support random access

AUTHOR
 This manpage was written by Andreas Tille for the Debian distribution and
 can be used for any other usage of the program.